#!/usr/bin/python3

import unittest
import atxsimulator.utils
from atxsimulator.simulator import Simulator


class SimulatorTestCase(unittest.TestCase):
	def setUp(self):
		self.mem = {}
		atxsimulator.utils.mem_init(self.mem)

		#self.simulator = Simulator('test_structure.ini', None, None, None)
		self.simulator = Simulator(self.mem, None, 'test/data/base.ini', 'test/data/parameters.ini', 'test/data/settings.ini')

	# TODO
	def test_test(self):
		t = 1
		dt = 0.1
		self.simulator.tick(self.simulator.objs, self.simulator.mem, t, dt)

	def test_get_overrides(self):
		for k, v in self.simulator.objs.items():
			v.get_overrides()

	def test_get_info(self):
		for k, v in self.simulator.objs.items():
			v.get_info()


if __name__ == '__main__':
	unittest.main()
